org.eclipse.viatra.query.runtime.emf.types

## Class EStructuralFeatureInstancesKey

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.context.common.BaseInputKeyWrapper<EMFKey>
  - - org.eclipse.viatra.query.runtime.emf.types.BaseEMFTypeKey<org.eclipse.emf.ecore.EStructuralFeature>
    - - org.eclipse.viatra.query.runtime.emf.types.EStructuralFeatureInstancesKey

- All Implemented Interfaces:
    IInputKey

      public class EStructuralFeatureInstancesKey
      extends BaseEMFTypeKey<org.eclipse.emf.ecore.EStructuralFeature>

  Instance tuples are of form (x, y), where x is an eObject that has y as the value of the given feature (or one of the values in case of multi-valued).

  As of version 1.6, this input key has the strict semantics that x must be within the `EMFScope`, scoping is not implied for y.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.matchers.context.common.BaseInputKeyWrapper

      `wrappedKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EStructuralFeatureInstancesKey(org.eclipse.emf.ecore.EStructuralFeature emfKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArity()` The width of tuples in this relation.
    `java.lang.String` | `getPrettyPrintableName()` A user-friendly name that can be shown on screen for debug purposes, included in exceptions, etc.
    `java.lang.String` | `getStringID()` An internal string identifier that can be used to uniquely identify to input key (relevant for distributed applications).
    `boolean` | `isEnumerable()` Returns true iff instance tuples of the key can be enumerated.

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.emf.types.BaseEMFTypeKey

      `getEmfKey, toString`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.context.common.BaseInputKeyWrapper

      `equals, getWrappedKey, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EStructuralFeatureInstancesKey

          public EStructuralFeatureInstancesKey(org.eclipse.emf.ecore.EStructuralFeature emfKey)

  - ### Method Detail

    - #### getPrettyPrintableName

          public java.lang.String getPrettyPrintableName()

      Description copied from interface: `IInputKey`
      A user-friendly name that can be shown on screen for debug purposes, included in exceptions, etc.

    - #### getStringID

          public java.lang.String getStringID()

      Description copied from interface: `IInputKey`
      An internal string identifier that can be used to uniquely identify to input key (relevant for distributed applications).

    - #### getArity

          public int getArity()

      Description copied from interface: `IInputKey`
      The width of tuples in this relation.

    - #### isEnumerable

          public boolean isEnumerable()

      Description copied from interface: `IInputKey`
      Returns true iff instance tuples of the key can be enumerated.

      If false, the runtime can only test tuple membership in the extensional relation identified by the key, but not enumerate member tuples in general.